Bug 62392 - IndexedDB test: readonly properties
Summary: IndexedDB test: readonly properties
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-09 12:51 PDT by Mark Pilgrim (Google)
Modified: 2011-06-13 15:18 PDT (History)
4 users (show)

See Also:


Attachments
Patch (8.71 KB, patch)
2011-06-09 12:53 PDT, Mark Pilgrim (Google)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Pilgrim (Google) 2011-06-09 12:51:37 PDT
Many IndexedDB objects have readonly properties. In non-ECMAScript-strict-mode, setting these properties should fail silently. This test checks setting every readonly property (minus two) defined in the IndexedDB spec. (Minus two because there are two properties that fail. I've created separate bugs for those.)

WebKit passes this test.
Comment 1 Mark Pilgrim (Google) 2011-06-09 12:53:22 PDT
Created attachment 96619 [details]
Patch
Comment 2 Hans Wennborg 2011-06-10 01:02:20 PDT
LGTM
Comment 3 Eric Seidel (no email) 2011-06-13 15:07:09 PDT
Comment on attachment 96619 [details]
Patch

OK.  rs=me.
Comment 4 WebKit Review Bot 2011-06-13 15:18:07 PDT
Comment on attachment 96619 [details]
Patch

Clearing flags on attachment: 96619

Committed r88708: <http://trac.webkit.org/changeset/88708>
Comment 5 WebKit Review Bot 2011-06-13 15:18:12 PDT
All reviewed patches have been landed.  Closing bug.